BeforeAll {
    $Repo = Get-RepoPath
    Import-Module $Repo.Src.Manifest.Item.FullName -Force
}
Describe 'Write-FailureStateFile' {
    Context 'Default tests' -Tag 'Default' {
        It 'Test Function' {
            { Get-Command -Name 'Write-FailureStateFile' -Module $Repo.Artifact } | Should -Not -Throw
        }

        It 'Test Help' {
            { Get-Help -Name 'Write-FailureStateFile' } | Should -Not -Throw
        }
        It 'Help Content' {
            $foo = Get-Help -Name 'Write-FailureStateFile'
            $foo.Synopsis.Length | Should -BeGreaterThan 5
            $foo.Description.Count | Should -BeGreaterOrEqual 1
            $foo.Description[0].Text.Length | Should -BeGreaterThan 5
        }
    }
}
